// Copyright 2020 Thomas Hintz
//
// This file is part of the Alpha Centauri Farming project.
//
// The Alpha Centauri Farming project is free software: you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation, either
// version 3 of the License, or (at your option) any later version.
//
// The Alpha Centauri Farming project is distributed in the hope that
// it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with the Alpha Centauri Farming project.  If not, see
// <https://www.gnu.org/licenses/>.

export const SCREENS = {
    intro: 'intro',
    start: 'start',
    play: 'play',
    newGame: 'new-game',
    joinGame: 'join-game'
};

export const GAME_STATES = { preTurn: 'pre-turn',
                             midTurn: 'mid-turn',
                             turnEnded: 'turn-ended' };
export const rootId = 'initial-element';
export const messagePanelId = 'message-panel';
export const ALERTS = { beginTurn: 'begin-turn',
                        otherPlayersTurn: 'other-players-turn',
                        endOfGame: 'end-of-game',
                        auditCalled: 'audit-called',
                        raiseMoney: 'raise-money',
                        proposedTrade: 'proposed-trade' }
